Name:    cpp-httplib
Version: 0.15.3
Release: 1
Summary: A C++ header-only HTTP/HTTPS server and client library 
License: MIT
URL:	 https://github.com/yhirose/cpp-httplib
Source0: https://github.com/yhirose/cpp-httplib/archive/v%{version}/cpp-httplib-%{version}.tar.gz

BuildRequires:  gcc-c++ meson >= 0.47.0 openssl openssl-devel brotli-devel gtest-devel zlib-devel
Requires:       openssl-devel, glibc-devel, zlib-devel

%description
A C++11 single-file header-only cross platform HTTP/HTTPS library.
It's extremely easy to setup. Just include httplib.h file in your code!

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Dcpp-httplib_compile=true -Dcpp-httplib_test=true \
       --buildtype=release
%meson_build

%install
%meson_install

%pre
%preun
%post
%postun

%check
export GTEST_FILTER='_Online$'
%meson_test

%files
%license  LICENSE
%doc README.md example
%{_includedir}/httplib.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.so.*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Mar 11 2024 xu_ping <707078654@qq.com> - 0.15.3-1
- Upgrade version to 0.15.3

* Wed Sep 27 2023 Chenxi Mao <chenxi.mao@suse.com> - 0.14.0-2
- Add openssl to build require list to fix build error

* Thu Sep 14 2023 liyanan <thistleslyn@163.com> - 0.14.0-1
- update to 0.14.0

* Tue Jun 13 2023 yaoxin <yao_xin001@hoperun.com> - 0.12.4-1
- Update to 0.12.4 for fix CVE-2023-26130

* Tue Aug 16 2022 jinzhiguang <jinzhiguang@kylinos.cn> - 0.11.1-1
- update to 0.11.1

* Wed Mar 03 2021 Liu Gang <liuganga@uniontech.com>
- cp httplib.h to doc dir for make example

* Mon Oct 12 2020 liqingqing_1229 <liqingqing3@huawei.com>
- update source0's url

* Sun Mar 29 2020 Wei Xiong <myeuler@163.com>
- Package init

